Package org.eclipse.cdt.core

# Interface ICompileOptionsFinder

All Known Implementing Classes:
  `DwarfReader`

public interface ICompileOptionsFinder
A class that can find compiler options for a given file name.

Since:
  5.7
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCompileOptions(String fileName)`
Get compiler options for a given file name.

## Method Details

### getCompileOptions

String getCompileOptions(String fileName)
Get compiler options for a given file name.

Parameters:
  `fileName` - - absolute source file name
Returns:
  a String containing the compiler options used or null.